> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Driving Path

> Returns the driving path of a vehicle during a given timeframe.

If no timeframe is specified, returns the driving path for the last 30 days.



## OpenAPI

````yaml get /{vin}/path
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/path:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Driving Path
      description: >-
        Returns the driving path of a vehicle during a given timeframe.


        If no timeframe is specified, returns the driving path for the last 30
        days.
      operationId: get-driving-path
      parameters:
        - $ref: '#/components/parameters/from'
        - $ref: '#/components/parameters/to'
        - schema:
            type: boolean
            default: false
          in: query
          name: separate
          description: Whether the path should be separated by individual drives.
        - schema:
            default: true
            type: boolean
          in: query
          name: simplify
          description: >-
            Whether the path should be simplified to reduce the number of
            points.
        - schema:
            type: boolean
            default: false
          in: query
          name: details
          description: >-
            Whether the path should include details like timestamps, speeds and
            headings.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items: {}
              examples:
                Example (With Details):
                  value:
                    results:
                      - timestamp: 1728191237
                        latitude: 40.73061
                        longitude: -73.935242
                        heading: 116
                        battery_level: 79
                        speed: 18
                        odometer: 1234.56
                        autopilot: Standby
                      - timestamp: 1728191268
                        latitude: 40.73061
                        longitude: -73.935242
                        heading: 109
                        battery_level: 79
                        speed: 10
                        odometer: 1235.67
                        autopilot: Standby
                      - timestamp: 1728191299
                        latitude: 40.73061
                        longitude: -73.935242
                        heading: 118
                        battery_level: 78
                        speed: 5
                        odometer: 1236.78
                        autopilot: 'Off'
                Example 1:
                  value:
                    results:
                      - 40.730610,-73.935242
                      - 40.731610,-73.936242
                      - 40.732610,-73.937242
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````